package com.dayou.service;
import com.dayou.entity.CustomerCompany;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 企业客户 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-12-01
 */
public interface ICustomerCompanyService extends IService<CustomerCompany> {

    Page<CustomerCompany> selectPage(Page page,CustomerCompany customerCompany);

    CustomerCompany detail(Long id);

    Boolean add(CustomerCompany customerCompany);

    Boolean update(CustomerCompany customerCompany);

    Boolean delete(Long id);

    List<CustomerCompany> simpleAll(CustomerCompany customer);

    /**
     * 判断客户是否是出库免申请
     * @param id
     * @return
     */
    Boolean avoidWareHouseApply(Long id);

    /**
     * 通过产品id判断客户是否是出库免申请
     * @param targetId
     * @return
     */
    Boolean avoidWareHouseApplyByTargetId(Long targetId);
}
